POST api/NTQA/PostCasesQA

Request Information

URI Parameters

None.

Body Parameters

Collection of NTCasesQADTO
NameDescriptionTypeAdditional information
CaseNo

integer

None.

Status

integer

None.

IncidentDate

string

String length: inclusive between 0 and 20

InjuryType

string

String length: inclusive between 0 and 50

EmployeeID

string

String length: inclusive between 0 and 20

CompanyEmployeeId

string

String length: inclusive between 0 and 20

LastName

string

String length: inclusive between 0 and 50

FirstName

string

String length: inclusive between 0 and 50

DOB

string

String length: inclusive between 0 and 20

CompanyName

string

String length: inclusive between 0 and 100

WLName

string

String length: inclusive between 0 and 100

LevelOfCare

string

String length: inclusive between 0 and 250

CompanyCode

string

String length: inclusive between 0 and 10

Correct

boolean

None.

InCorrect

boolean

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "CaseNo": 1,
    "Status": 1,
    "IncidentDate": "sample string 2",
    "InjuryType": "sample string 3",
    "EmployeeID": "sample string 4",
    "CompanyEmployeeId": "sample string 5",
    "LastName": "sample string 6",
    "FirstName": "sample string 7",
    "DOB": "sample string 8",
    "CompanyName": "sample string 9",
    "WLName": "sample string 10",
    "LevelOfCare": "sample string 11",
    "CompanyCode": "sample string 12",
    "Correct": true,
    "InCorrect": true
  },
  {
    "CaseNo": 1,
    "Status": 1,
    "IncidentDate": "sample string 2",
    "InjuryType": "sample string 3",
    "EmployeeID": "sample string 4",
    "CompanyEmployeeId": "sample string 5",
    "LastName": "sample string 6",
    "FirstName": "sample string 7",
    "DOB": "sample string 8",
    "CompanyName": "sample string 9",
    "WLName": "sample string 10",
    "LevelOfCare": "sample string 11",
    "CompanyCode": "sample string 12",
    "Correct": true,
    "InCorrect": true
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfNTCasesQADTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of NTCasesQADTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "CaseNo": 1,
      "Status": 1,
      "IncidentDate": "sample string 2",
      "InjuryType": "sample string 3",
      "EmployeeID": "sample string 4",
      "CompanyEmployeeId": "sample string 5",
      "LastName": "sample string 6",
      "FirstName": "sample string 7",
      "DOB": "sample string 8",
      "CompanyName": "sample string 9",
      "WLName": "sample string 10",
      "LevelOfCare": "sample string 11",
      "CompanyCode": "sample string 12",
      "Correct": true,
      "InCorrect": true
    },
    {
      "CaseNo": 1,
      "Status": 1,
      "IncidentDate": "sample string 2",
      "InjuryType": "sample string 3",
      "EmployeeID": "sample string 4",
      "CompanyEmployeeId": "sample string 5",
      "LastName": "sample string 6",
      "FirstName": "sample string 7",
      "DOB": "sample string 8",
      "CompanyName": "sample string 9",
      "WLName": "sample string 10",
      "LevelOfCare": "sample string 11",
      "CompanyCode": "sample string 12",
      "Correct": true,
      "InCorrect": true
    }
  ],
  "totalCount": 3
}